[Forgot Password]
Login  Register Subscribe

23631

 
 

115036

 
 

95906

 
 

909

 
 

77949

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2011-3148

Date: (C)2012-07-22   (M)2016-05-19
 
CVSS Score: 4.6Access Vector: LOCAL
Exploitability Subscore: 3.9Access Complexity: LOW
Impact Subscore: 6.4Authentication: NONE
 Confidentiality: PARTIAL
 Integrity: PARTIAL
 Availability: PARTIAL











Stack-based buffer overflow in the _assemble_line function in modules/pam_env/pam_env.c in Linux-PAM (aka pam) before 1.1.5 allows local users to cause a denial of service (crash) and possibly execute arbitrary code via a long string of white spaces at the beginning of the ~/.pam_environment file.

Reference:
SECUNIA-46583
SECUNIA-49711
GLSA-201206-31
USN-1237-1
http://git.fedorahosted.org/git/?p=linux-pam.git;a=commitdiff;h=caf5e7f61c8d9288daa49b4f61962e6b1239121d
https://bugs.launchpad.net/ubuntu/+source/pam/+bug/874469

CPE    26
cpe:/a:kernel:linux-pam:1.1.3
cpe:/a:kernel:linux-pam:1.1.4
cpe:/a:kernel:linux-pam:0.99.7.0
cpe:/a:kernel:linux-pam:0.99.6.1
...
CWE    1
CWE-119
OVAL    7
oval:org.secpod.oval:def:400304
oval:org.secpod.oval:def:600626
oval:org.secpod.oval:def:400312
oval:org.secpod.oval:def:1600264
...

© 2013 SecPod Technologies